Package src :: Module autoglade :: Class AutoGladeAttributeError |
[show private | hide private]
[frames | no frames]

## Type AutoGladeAttributeError

       object --+
                |
    BaseException --+
                    |
            Exception --+
                        |
            StandardError --+
                            |
               AttributeError --+
                                |
                               AutoGladeAttributeError

AutoGladeAttributeError is an identificable AttributeError

Method Summary
| ``__init__`(self, key)` Constructor
Inherited from AttributeError
| ``__new__`(T, S, ...)` T.__new__(S, ...) -> a new object with type S, a subtype of T
Inherited from BaseException
| ``__delattr__`(...)` x.__delattr__('name') <==> del x.name
| ``__getattribute__`(...)` x.__getattribute__('name') <==> x.name
| ``__getitem__`(x, y)` x.__getitem__(y) <==> x[y]
| ``__getslice__`(x, i, j)` Use of negative indices is not supported.
| ``__reduce__`(...)`
| ``__repr__`(x)` x.__repr__() <==> repr(x)
| ``__setattr__`(...)` x.__setattr__('name', value) <==> x.name = value
| ``__setstate__`(...)`
| ``__str__`(x)` x.__str__() <==> str(x)
Inherited from object
| ``__hash__`(x)` x.__hash__() <==> hash(x)
| ``__reduce_ex__`(...)` helper for pickle

Class Variable Summary
Inherited from BaseException
`getset_descriptor` | `args` = `<attribute 'args' of 'exceptions.BaseException' o...`
`member_descriptor` | `message` = `<member 'message' of 'exceptions.BaseException...`

Method Details

### __init__(self, key) (Constructor) Constructor Parameters: `key` - key not found (type=str) Overrides: `exceptions.AttributeError.__init__`

Generated by Epydoc 2.1 on Sun Sep 30 22:02:21 2007 | http://epydoc.sf.net